#!/bin/bash

###
### RMQ-КС - К
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия 4.0.6

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"


while [[ "$#" -gt 0 ]]
  do
    case $1 in
      -p|--port)
        port="$2"
        ;;
      -pe|--port_epmd)
        port_epmd="$2"
        ;;
      -u|--user)
        user="$2"
        ;;
      -pwd|--pwd)
        pwd="$2"
        ;;
      -cs|--contsoft)
        contsoft="$2"
        ;;

      --help)
        show_help="1"
        ;;
    esac
    shift
done


if [ ! -z "${show_help}" ]; then

echo -e "
 параметры              по умолчанию   описание
 -------------------    ------------   --------------------------------------------------------------
 -cs | --contsoft       docker         ПО контейнерезации (docker или podman)

 -p  | --port           5672           порт брокера сообщений (работа по amqp протоколу)

 -pe | --port_epmd      4369           порт вспомогательного сервиса epmd (Erlang Port Mapping Daemon)

 -u  | --user           admin          имя пользователя - администратора сайта управления

 -pwd| --pwd            1              пароль администратора

"
exit 1;
fi;

if [ -z "${port}" ]; then
  port="5672"
fi;

if [ -z "${port_epmd}" ]; then
  port_epmd="4369"
fi;


if [ -z "${user}" ]; then
  user="admin"
fi;

if [ -z "${pwd}" ]; then
  pwd="1"
fi;

if [ -z "${contsoft}" ]; then
  contsoft="docker"
fi;

if [ ! ${contsoft} = "docker" ]; then
  contsoft="podman"
fi;


echo ""
echo "           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "           ~   Установка брокера RMQ-КС 4.0.6   "
echo "           ~              порт : ${port}              "
echo "           ~   контейнеризация : ${contsoft}          "
echo "           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"


bash ${dks_bashfile_dir}/sh/dks_create.sh "${port}"      \
                                          "${user}"      \
                                          "${pwd}"       \
                                          "${port_epmd}" \
                                          "${contsoft}"


exit;

