#!/bin/bash

###
### RMQ-КС
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия @rmgks_ver@

param_in=$1
rmq_port=$2

#============== Основные определяющие переменные ========
tag_ver="4.0.6"
tag_name="rmqks-"${tag_ver}
#========================================================

# Контейнер
dks_inst_name="dks-${tag_name}"
dks_inst_path="/opt/${dks_inst_name}"
dks_cont_name="${tag_name}_${rmq_port}"
dks_serv_name="${tag_name}_${rmq_port}.service"
dks_image_tar_file="ksdeb12_${tag_name}_image.tar"

# RMQ
rmq_inst_name="/opt/${tag_name}_${rmq_port}"
rmq_etc_path="/opt/${tag_name}_${rmq_port}/etc"
rmq_data_path="/var/lib/${tag_name}_${rmq_port}"
rmq_log_path="/var/lib/${tag_name}_${rmq_port}/log"
rmq_util_path="/opt/${tag_name}_${rmq_port}/utility"

# файлы обмена
host_stdout="${rmq_data_path}/file.stdout"
cont_stdout="/var/lib/rabbitmq/file.stdout"
dks_host_stdout="${dks_inst_path}/sh/file.stdout"

# Цвета
ErrColor='\033[1;31m'
SuccColor='\033[0;32m'
WarnColor='\033[0;33m'
NoColor='\033[0m'

sOK="[###${SuccColor}OK${NoColor}###]#"
wOK="[##${WarnColor}Инфо${NoColor}##]#"
eRR="[#${ErrColor}Ошибка${NoColor}#]#"
emptE="###########"

# sudo
is_root=$EUID
#==========================================================



case ${param_in} in
      tag_ver)
          param_out=${tag_ver}
          ;;
      tag_name)
          param_out=${tag_name}
          ;;
      dks_image_tar_file)
          param_out=${dks_image_tar_file}
          ;;

      dks_inst_name)
          param_out=${dks_inst_name}
          ;;
      dks_inst_path)
          param_out=${dks_inst_path}
          ;;
      dks_cont_name)
          param_out=${dks_cont_name}
          ;;
      dks_serv_name)
          param_out=${dks_serv_name}
          ;;
      dks_host_stdout)
          param_out=${dks_host_stdout}
          ;;

      rmq_inst_name)
          param_out=${rmq_inst_name}
          ;;
      rmq_etc_path)
          param_out=${rmq_etc_path}
          ;;
      rmq_data_path)
          param_out=${rmq_data_path}
          ;;
      rmq_log_path)
          param_out=${rmq_log_path}
          ;;
      rmq_util_path)
          param_out=${rmq_util_path}
          ;;

      host_stdout)
          param_out=${host_stdout}
          ;;
      cont_stdout)
          param_out=${cont_stdout}
          ;;


      ErrColor)
          param_out=${ErrColor}
          ;;
      SuccColor)
          param_out=${SuccColor}
          ;;
      WarnColor)
          param_out=${WarnColor}
          ;;
      NoColor)
          param_out=${NoColor}
          ;;

      sOK)
          param_out=${sOK}
          ;;
      wOK)
          param_out=${wOK}
          ;;
      eRR)
          param_out=${eRR}
          ;;
      emptE)
          param_out=${emptE}
          ;;


      is_root)
          param_out=${is_root}
          ;;

     *)
          param_out="Неизвестный параметр ${param_in}."
          ;;
esac

echo ${param_out}

exit;
