#!/bin/bash

###
### RMQ-КС
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия @rmgks_ver@

rmq_port=$1
mode=$2
user=$3
pwd=$4
contsoft=$5

# Экранируем символ '"'
user=$(echo ${user} | sed 's/\"/\\"/g')
pwd=$(echo  ${pwd}  | sed 's/\"/\\"/g')

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

dks_cont_name=$($dks_bashfile_dir/dks_const_var.sh dks_cont_name ${rmq_port})
tag_name=$($dks_bashfile_dir/dks_const_var.sh      tag_name      ${rmq_port})
rmq_log_path=$($dks_bashfile_dir/dks_const_var.sh  rmq_log_path  ${rmq_port})


# Файл обмена
host_stdout=$(${dks_bashfile_dir}/dks_const_var.sh  host_stdout ${rmq_port})
cont_stdout=$(${dks_bashfile_dir}/dks_const_var.sh  cont_stdout ${rmq_port})

# Цвета
sOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh sOK) | tr '#' ' ')
wOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh wOK) | tr '#' ' ')
eRR=$(echo $(${dks_bashfile_dir}/dks_const_var.sh eRR) | tr '#' ' ')
emptE=$(echo $(${dks_bashfile_dir}/dks_const_var.sh emptE) | tr '#' ' ')


bash ${dks_bashfile_dir}/sys/sys_is_root.sh "run"
if [ $? = "1" ]; then exit 1; fi;


# Установка плагина управления
if [ "${mode}" = "plugins" ]; then
  run_cmd="rabbitmq-plugins enable rabbitmq_management"

  bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                   -cn "${dks_cont_name}" \
                                                   -c  "${run_cmd}"       \
                                                   -noout



  echo -e "${sOK}Настройка ПО \"Брокер сообщений\". Включение плагина управления."
fi;

if [ "${mode}" = "users" ]; then
  # Создать пользователя с паролем
  run_cmd="rabbitmqctl add_user ${user} ${pwd} && rabbitmqctl set_user_tags ${user} administrator && rabbitmqctl set_permissions -p / ${user} \\\".*\\\" \\\".*\\\" \\\".*\\\""

  bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                   -cn "${dks_cont_name}" \
                                                   -c  "${run_cmd}"       \
                                                   -noout



  #${contsoft} exec -d ${dks_cont_name} su -c "rabbitmqctl add_user ${user} ${pwd}";
  #${contsoft} exec -d ${dks_cont_name} su -c "rabbitmqctl set_user_tags ${user} administrator"
  #${contsoft} exec -d ${dks_cont_name} su -c "rabbitmqctl set_permissions -p / ${user} \".*\" \".*\" \".*\""

  echo -e "${sOK}Настройка ПО \"Брокер сообщений\". Создание пользователя \"${user}\"."
fi;

exit 0;