#!/bin/bash

###
### RMQ-КС
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия @rmgks_ver@

service_action=$1

if [ -z "$2" ]; then
  rmq_port="5672"
else
  rmq_port=$2
fi


# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

#============== Основные переменные =====================
# Контейнер
dks_cont_name=$(${dks_bashfile_dir}/dks_const_var.sh dks_cont_name ${rmq_port})
rmq_util_path=$(${dks_bashfile_dir}/dks_const_var.sh rmq_util_path ${rmq_port})
contsoft=$(${rmq_util_path}/const_var.sh contsoft)

# Цвета
sOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh sOK) | tr '#' ' ')
wOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh wOK) | tr '#' ' ')
eRR=$(echo $(${dks_bashfile_dir}/dks_const_var.sh eRR) | tr '#' ' ')
emptE=$(echo $(${dks_bashfile_dir}/dks_const_var.sh emptE) | tr '#' ' ')

# Проверка прав суперпользователя
bash ${dks_bashfile_dir}/sys/sys_is_root.sh "run"
if [ $? = "1" ]; then exit 1; fi;

function fn_file_clr(){
cat > $1 << EOF
EOF
}
#==========================================================

# Проверки передачи параметров
if [ -z "$1" ]; then
    echo -e "${eRR}Fatal error: Не указан параметр режима сервиса ('start' или 'stop')."
    echo -e "${emptE}Попытка запуска неизвестной операции."
    exit 1;
fi;

# Проверяем существование контейнера
dks_exists=$(${contsoft} container ls -a | grep ${dks_cont_name})
if [ -z "${dks_exists}" ]; then
    dks_exists="false"
else
    dks_exists="true"
fi;

# Контейнера нет, то создаем его (например, была перезагрузка хоста)
if [ "${dks_exists}" = "false" ]; then
    echo -e "${wOK}Проверка существования контейнера ${dks_cont_name}."
    echo -e "${emptE}Контейнер не существует. Выполните первоначальную установку контейнера."
    exit;
fi;

if [ "$service_action" = "start" ]; then
  bash ${dks_bashfile_dir}/dks_start.sh "${rmq_port}"
fi;

if [ "$service_action" = "stop" ]; then
  bash ${dks_bashfile_dir}/dks_stop.sh "${rmq_port}"
fi;

exit;




