#!/bin/bash

###
### RMQ-КС
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия @rmgks_ver@

rmq_port=$1

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

dks_cont_name=$($dks_bashfile_dir/dks_const_var.sh dks_cont_name ${rmq_port})
tag_name=$($dks_bashfile_dir/dks_const_var.sh      tag_name      ${rmq_port})
rmq_log_path=$($dks_bashfile_dir/dks_const_var.sh  rmq_log_path  ${rmq_port})
rmq_util_path=$($dks_bashfile_dir/dks_const_var.sh rmq_util_path ${rmq_port})
contsoft=$(${rmq_util_path}/const_var.sh contsoft)

# Файл обмена
host_stdout=$(${dks_bashfile_dir}/dks_const_var.sh  host_stdout ${rmq_port})
cont_stdout=$(${dks_bashfile_dir}/dks_const_var.sh  cont_stdout ${rmq_port})

# Цвета
sOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh sOK) | tr '#' ' ')
wOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh wOK) | tr '#' ' ')
eRR=$(echo $(${dks_bashfile_dir}/dks_const_var.sh eRR) | tr '#' ' ')
emptE=$(echo $(${dks_bashfile_dir}/dks_const_var.sh emptE) | tr '#' ' ')


bash ${dks_bashfile_dir}/sys/sys_is_root.sh "run"
if [ $? = "1" ]; then exit 1; fi;

function fn_file_clr(){
cat > $1 << EOF
EOF
}

fn_file_clr ${host_stdout}
chmod 777 ${host_stdout}
#====================================================================

# Ищем активный процесс rabbitmq-server
chk_cmd="echo \\\$(ps -ef | grep '/usr/lib/rabbitmq/bin/rabbitmq-server' | grep -v root) > ${cont_stdout}"
run_cmd="/usr/sbin/rabbitmq-server > /var/lib/rabbitmq/log/start.log"


## --инфа, запустился ли rabbitmq
bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                 -cn "${dks_cont_name}" \
                                                 -c  "${chk_cmd}"

file_stdout=$(cat ${host_stdout})

fn_file_clr ${host_stdout}
if [ ! -z "${file_stdout}" ]; then
  echo -e "${wOK}Проверка запуска брокера сообщений ${tag_name}:${rmq_port} "
  echo -e "${emptE}Брокер сообщений ${tag_name}:${rmq_port} уже запушен."
  exit 0;
fi;


# Запускаем и потом проверяем

bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                 -cn "${dks_cont_name}" \
                                                 -c  "${run_cmd}"       \
                                                 -d


is_started="0"
is_wait="0"
for ((i=1;i<11;i++))
do
  sleep 1
  bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                   -cn "${dks_cont_name}" \
                                                   -c  "${chk_cmd}"       \
                                                   -d




  file_stdout=$(cat ${host_stdout})
  fn_file_clr ${host_stdout}
  if [ ! -z "${file_stdout}" ]; then
    if [ "${is_wait}" = "1" ]; then
      echo ""
    fi;
    echo -e "${sOK}Запуск брокера сообщений ${tag_name}:${rmq_port}."
    is_started="1"
    break;
  else
    echo -en "\r${emptE}Ожидание запуска брокера сообщений: $i сек."
    is_wait="1"
  fi;
done

rm -f ${host_stdout}

if [ "${is_started}" = "0" ]; then
  echo ""
  echo -e "${eRR}Запуск брокера сообщений ${tag_name}:${rmq_port}."
  echo -e "${emptE}Была предпринята неудачная попытка запуска брокера сообщений."
  echo -e "${emptE}Информацию об ошибках запуска см. в файле ${rmq_log_path}/*.log"
  exit 1;
fi;

# Стартуем epmd, по настройке
epmd_port=$(${rmq_util_path}/const_var.sh epmd_port)
if ! [ "${epmd_port}" = "0" ]; then
  run_cmd="/usr/bin/epmd -port ${epmd_port} -daemon"

  bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                   -cn "${dks_cont_name}" \
                                                   -c  "${run_cmd}"


  echo -e "${sOK}Запуск демона EPMD по порту ${epmd_port}."
fi;


exit 0;

