#!/bin/bash

###
### RMQ-КС
###
### Copyright (c) 2025, ООО Кейсистемс
###
### Версия @rmgks_ver@

rmq_port=$1

# Определяем каталог выполнения текущего скрипта
dks_bashfile_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

dks_cont_name=$($dks_bashfile_dir/dks_const_var.sh dks_cont_name ${rmq_port})
tag_name=$($dks_bashfile_dir/dks_const_var.sh      tag_name      ${rmq_port})
rmq_util_path=$($dks_bashfile_dir/dks_const_var.sh rmq_util_path ${rmq_port})
contsoft=$(${rmq_util_path}/const_var.sh contsoft)

# Цвета
sOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh sOK) | tr '#' ' ')
wOK=$(echo $(${dks_bashfile_dir}/dks_const_var.sh wOK) | tr '#' ' ')
eRR=$(echo $(${dks_bashfile_dir}/dks_const_var.sh eRR) | tr '#' ' ')
emptE=$(echo $(${dks_bashfile_dir}/dks_const_var.sh emptE) | tr '#' ' ')

# Файл обмена
host_stdout=$($dks_bashfile_dir/dks_const_var.sh host_stdout ${rmq_port})
cont_stdout=$($dks_bashfile_dir/dks_const_var.sh cont_stdout ${rmq_port})

bash ${dks_bashfile_dir}/sys/sys_is_root.sh "run"
if [ $? = "1" ]; then exit 1; fi;

function fn_file_clr(){
cat > $1 << EOF
EOF
}
fn_file_clr ${host_stdout}
chmod 777 ${host_stdout}
#====================================================================

chk_cmd="echo \\\$(ps -ef | grep '/usr/lib/rabbitmq/bin/rabbitmq-server' | grep -v root) > ${cont_stdout}"

# Проверяем, запущен ли брокер сообщений
bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                 -cn "${dks_cont_name}" \
                                                 -c  "${chk_cmd}"

file_stdout=$(cat ${host_stdout})

rm -f ${host_stdout}

if [ -z "${file_stdout}" ]; then
  echo -e "${wOK}Остановка брокера сообщений ${tag_name}."
  echo -e "${emptE}Брокер сообщений ${tag_name}:${rmq_port} уже остановлен."
  exit;
fi;

# Останавливаем и потом проверяем
bash ${dks_bashfile_dir}/sys/sys_exec_cont_ex.sh -cs "${contsoft}"      \
                                                 -cn "${dks_cont_name}" \
                                                 -c  "/usr/sbin/rabbitmqctl stop" \
                                                 -noout

if [ $? = "1" ]; then
  echo ""
  echo -e "${eRR}Остановка брокера сообщений контейнера ${dks_cont_name}."
  echo -e "${wOK}Была предпринята неуспешна попытка остановки брокера сообщений ${tag_name}:${rmq_port}."
  echo ""
  exit 1;
fi;


echo -e "${sOK}Остановка брокера сообщений ${tag_name}:${rmq_port}."

exit 0;

